/*
 * harmonic_oscillator.h - harmonic oscillator potential header file
 *
 * author: Frank Zirkelbach <frank.zirkelbach@physik.uni-augsburg.de>
 *
 */

#ifndef HARMONIC_OSCILLATOR_H
#define HARMONIC_OSCILLATOR_H

/* types */
typedef struct s_ho_params {
	double spring_constant;
	double equilibrium_distance;
} t_ho_params;

/* function prototype */
int harmonic_oscillator_set_params(t_moldyn *moldyn,int element);
int harmonic_oscillator(t_moldyn *moldyn,t_atom *ai,t_atom *aj,u8 bc);
int harmonic_oscillator_check_2b_bond(t_moldyn *moldyn,
                                      t_atom *ai,t_atom *aj,u8 bc);

/* harmonic oscillator potential parameter defines */

// silicon
#define HO_SC_SI		1
#define HO_ED_SI		(0.25*sqrt(3.0)*LC_SI)

// carbon
#define HO_SC_C			1
#define HO_ED_C			(0.25*sqrt(3.0)*LC_C)

#endif
